<!-- Based on fast/repaint/justify-content-position-change.html -->
<!DOCTYPE HTML>
<script src="resources/paint-invalidation-test.js"></script>
<script>
window.expectedPaintInvalidationObjects = [
    "LayoutBlockFlow DIV class='item'",
    "LayoutBlockFlow DIV",
    "LayoutBlockFlow DIV class='item'",
    "LayoutBlockFlow DIV",
];
function paintInvalidationTest() {
  document.getElementById('container').style.justifyContent = 'flex-start';
}
onload = runPaintInvalidationTest;
</script>
<style>
body {
  margin: 0;
}
#container {
  display: flex;
  justify-content: center;
  width: 200px;
  height: 300px;
  background-color: orange;
}
.item {
  background-color: green;
  border: solid thin blue;
  width: 50px;
}
</style>
<p style="height: 20px">Tests invalidation on justify-content style change. Passes if only one big orange bar appear aligned to the box's right edge.</p>
<div id="container">
  <div class="item">
    <div style="height: 50px"></div>
  </div>
  <div class="item">
    <div style="height: 50px"></div>
  </div>
</div>
